[Numpy-discussion] 1.0b5 build failure

Fernando Perez fperez.net at gmail.com
Sat Sep 9 10:10:37 CDT 2006


On 9/9/06, Neal Becker <ndbecker2 at gmail.com> wrote:
> Sorry, actually that's today's numpy svn - not 1.0b5.

Make sure you have a clean build environment, the current SVN builds
just fine on my Dapper 6.06 box; I just rebuilt it a second ago.

Cheers,

f

ps. Here's my little build script, which I use to rebuild
numpy/scipy/matplotlib in one shot:

longs[scipy]> cat makeall
#!/bin/sh

./makepkg numpy
./makepkg scipy
./makepkg matplotlib

# EOF

which uses the simple makepkg (just edit the PYTHON and PYPREFIX vars
to suit your config):

longs[scipy]> cat makepkg
#!/bin/sh

PACKAGE=$1

PYTHON=python2.4
PYPREFIX=$HOME/tmp/local


#REVISION="HEAD"
#REVISION=2772 # for numpy
#REVISION=2054 # for scipy
#REVISION="{2006-07-06}"
#svn update -r $REVISION ${PACKAGE}

svn update ${PACKAGE}

export PYTHONPATH=${PYPREFIX}/lib/${PYTHON}/site-packages:${PYTHONPATH}:

# remove existing ${PACKAGE} to make sure the build doesn't pick up
spurious things
rm -rf $PYPREFIX/lib/${PYTHON}/site-packages/${PACKAGE}

# make/install
cd ${PACKAGE}
rm -rf build
$PYTHON setup.py install --prefix=$PYPREFIX




More information about the Numpy-discussion mailing list